Skip to main content

Authentication

POST /v2/auth/verify_login​

This interface allows the game to verify the login status of the specified user.

Request parameters​

For the query parameters for interface calls, see Query Parameters.

ParametersTypeDescriptionNote
openidstringPlayer Network SDK user identificationRequired
tokenstringPlayer Network SDK user login statusRequired

Request sample​

curl -sS -X POST -H 'Content-Type: application/json' 'https://test.intlgame.com/v2/auth/verify_login?channelid=11&gameid=11&os=5&source=0&ts=1590481177&sdk_version=2.0&sig=9d3a9c7257d445ae0b1ff31a4d69c16e' -d '{"openid":"5574152457717116678","token":"1d9d1dea1c094be1ddfeb9ef48f7f0aad72b5a8b"}'

Response parameters​

ParametersTypeDescription
retintReturn code
0: Success
Others: Failure
msgstringDetailed information of the result
seqstringSequence number carried by request URL

Return Sample​

{
"ret": 0,
"msg": "The user is logged in.",
"seq": "1590985725-0266701833-005085-0000001160"
}